<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Twig extends Controller {
        
        public function action_show()
        {
                $path = $this->request->param('id');
                $path = UTF8::str_ireplace(':', '/', $path);
                if(Kohana::find_file('views', $path, 'twig'))
                {
                    $twig = Twig::factory($path);
                    $this->response->body($twig);
                }
                else
                {
                    $twig = Twig::factory('errors/404');
                    $twig->message = 'Шаблончик-то не найден!';
                    $this->response->status(404)->body($twig);
                }       
        }

} // End Welcome
